<?php
/**
 * JComments AlphaUserPoints Plugin (for JComments integration with AlphaUserPoints component)
 *
 * @version 0.1
 * @package JComments
 * @author Sergey M. Litvinov (smart@joomlatune.ru)
 * @copyright (C) 2006-2008 by Sergey M. Litvinov (http://www.joomlatune.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, 
 * please make a reference to JComments someplace in your code 
 * and provide a link to http://www.joomlatune.ru
 **/
 
// ensure this file is being included by a parent file
(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');

// if component doesnt exists (may be already uninstalled) - return
if (!defined( 'JCOMMENTS_JVERSION' )) { return; }

global $mainframe;

$mainframe->registerEvent('onAfterCommentAdded', 'plgJCommentsAlphaUserPoints');

function plgJCommentsAlphaUserPoints( &$comment, &$response, &$allowed )
{
	if ($comment->published) {
		if ( file_exists(JPATH_SITE.DS.'components'.DS.'com_alphauserpoints'.DS.'helper.php') ) {
			require_once (JPATH_SITE.DS.'components'.DS.'com_alphauserpoints'.DS.'helper.php');
		} else return;		

		AlphaUserPointsHelper::getReferreid($comment->userid);
		$referreid = $_SESSION['referrerid'];
		AlphaUserPointsHelper::userpoints( 'plgaup_jcomments_postcomment', $referreid );
	}
	return;
} 
?>